from abaqusConstants import *
from abaqusGui import *
from kernelAccess import mdb, session
import os

thisPath = os.path.abspath(__file__)
thisDir = os.path.dirname(thisPath)


###########################################################################
# Class definition
###########################################################################

class Plugin_testblockDB(AFXDataDialog):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form):

        # Construct the base class.
        #

        AFXDataDialog.__init__(self, form, 'Title',
            self.OK|self.CANCEL, DIALOG_ACTIONS_SEPARATOR)
            

        okBtn = self.getActionButton(self.ID_CLICKED_OK)
        okBtn.setText('OK')
            
        AFXTextField(p=self, ncols=22, labelText='Part Name', tgt=form.kw_nameKw, sel=0)
        AFXTextField(p=self, ncols=12, labelText='Width  ', tgt=form.kw_widthKw, sel=0)
        AFXTextField(p=self, ncols=12, labelText='Heigth', tgt=form.kw_heigthKw, sel=0)
        AFXTextField(p=self, ncols=12, labelText='Depth ', tgt=form.kw_depthKw, sel=0)
